import java.awt.*;
import java.awt.event.*;
public class SetimoFrame extends Frame
{
  SetimoFrame()
  {
    setTitle("Algumas formas geomtricas");
    addWindowListener(new WindowAdapter(){public void windowClosing(WindowEvent e){System.exit(0);}});
    setSize(400,300);
  }
  public void paint(Graphics g)
  {
    g.translate(getInsets().left, getInsets().top); //getInsets retorna o tamanho da
                                                    //rea til do frame (descontando
                                                    //as bordas e a barra de ttulo
    // o metodo translate recalibra as coordenadas iniciais para o desenho
    int r = 40; // raio do crculo que forma o PacMan
    int cx = 50; // centro deste crculo
    int cy = 100;
    int angle = 30; // ngulo de abertura da boca do PacMan

    int dx = (int)(r * Math.cos(angle * Math.PI / 180));
    int dy = (int)(r * Math.sin(angle * Math.PI / 180));

    g.drawLine(cx, cy, cx + dx, cy + dy); // parte de baixo da boca
    g.drawLine(cx, cy, cx + dx, cy - dy); // parte de cima da boca
    g.drawArc(cx - r, cy - r, 2 * r, 2 * r, angle,360 - 2 * angle);

    Polygon p = new Polygon();
    cx = 150;
    int i;
    for (i = 0; i < 5; i++)
      p.addPoint((int)(cx + r * Math.cos(i * 2 * Math.PI / 5)),
                 (int)(cy + r * Math.sin(i * 2 * Math.PI / 5)));
    g.drawPolygon(p);

    Polygon s = new Polygon();
    cx = 250;
    for (i = 0; i < 360; i++)
    {
      double t = i / 360.0;
      s.addPoint((int)(cx + r * t * Math.cos(8 * t * Math.PI)),
                 (int)(cy + r * t * Math.sin(8 * t * Math.PI)));
    }
    g.drawPolygon(s);
  }

  public static void main(String args[])
  {
    Frame f = new SetimoFrame();
    f.setVisible(true);
  }
}




